/******************************************************************************/
/*
                                  config.h
*/
/******************************************************************************/

#ifndef INCLUDE_CONFIG_H
#define INCLUDE_CONFIG_H

/*******************/
/* data structures */
/*******************/

typedef struct STRUCT_CONFIG_DATA
{
   BOOL  LogoutDisabled;

   int  SearchEnabled,
        SearchHeaderOnly,
        SearchKeywordOnly,
        SearchPriority,
        SelectNotSearch;

   char  /* disables soyMAIL and provides announcement */
         *DowntimeMessage,
         /* site's default langauge */
         *LanguageDefault,
         /* default font family */
         *FontFamilyDefault,
         /* additional font family specifications (non-en language?) */
         *FontFamilyLocal,
         /* "welcome to soyMAIL" */
         *InitialGreeting,
         /* site-specific text on help about page */
         *HelpAboutSite,
         /* <HEAD>..</HEAD> JavaScript for HMTL text editor */
         *HtmlEditorLoad,
         /* string used in logout 'realm=".."' challenge */
         *LogoutRealm,
         /* text in separate panel at bottom of message list page */
         *MessageListFooter,
         /* superior line in main menu panel */
         *PageTitle1,
         /* pushes 1 to the left and 2 to the right */
         *PageTitle2,
         /* text header for printed messages */
         *PrintFooter,
         /* text footer for printed messages */
         *PrintHeader,
         /* authenticated (CGI remote-) user to VMS user name mapping */
         *PrivateAccess,
         /* folders that are publically accessable */
         *PublicAccess,
         /* the administrator can set public access options */
         *PublicOptionsDefault,
         /* controls the level of searching permitted */
         *SearchControl,
         /* name ("user") without domain defaults ("user@host-name") */
         *SmtpDefaultHost,
         /* mail shows "From: user@host-name" */
         *SmtpFromHost,
         /* SMTP server host name or address for outging Internet Mail */
         *SmtpServerHost,
         /* for "soyMAIL @ <organisation>" in page title bar */
         *SoyMailAtTitle,
         /* the administrator can preset personal options */
         *UserOptionsDefault,
         /* the administrator can override personal options */
         *UserOptionsOverride;

} CONFIG_DATA;

/**************/
/* prototypes */
/**************/

void ConfigLoad (REQUEST_DATA*);
char* ConfigTextParse (char**, char**, char**);
BOOL ConfigPrivateAccess (REQUEST_DATA*);
BOOL ConfigPublicAccess (REQUEST_DATA*);
int ConfigWriteEscaped (FILE*, char*);

#endif /* INCLUDE_CONFIG_H */

/******************************************************************************/

